Docs
Webhooks

Redeliver an event

POST/webhooks/{id}/deliveries/{deliveryId}/redeliverNeedsworkspace.settings

Sends the same event again (same event id and payload, fresh signature) and waits for the result. webhook_disabled when the endpoint is off.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Path Parameters

id*integer

The endpoint's id.

Range1 <= value
deliveryId*integer

The delivery to send again.

Range1 <= value

Response Body

Sent

application/json
  1. response
delivery*
Shell
curl -X POST 'https://app.cueston.com/api/webhooks/1/deliveries/1/redeliver'
Example Response
JSON
{
  "delivery": {
    "id": 42,
    "endpointId": 5,
    "eventId": "evt_2c8f1a64b0e94f1d",
    "eventType": "content.published",
    "status": "pending",
    "attempts": 1,
    "maxAttempts": 6,
    "nextAttemptAt": "2026-10-26T09:30:00Z",
    "lastAttemptAt": "2026-10-26T09:30:00Z",
    "lastError": "string",
    "responseStatus": 200,
    "durationMs": 184,
    "isTest": true,
    "redeliveryOf": 0,
    "createdAt": "2026-10-26T09:30:00Z",
    "deliveredAt": "2026-10-26T09:30:00Z",
    "payload": null,
    "responseBody": "string"
  }
}